summaryrefslogtreecommitdiff
path: root/pcr
diff options
context:
space:
mode:
authorOmar Vega Ramos <ovruni@gnu.org.pe>2016-09-19 16:23:32 -0500
committerOmar Vega Ramos <ovruni@gnu.org.pe>2016-09-19 16:23:32 -0500
commit0396411959e746b453c51448668a176a8db67e19 (patch)
treef52d2975be743284d32c58138f3124c51eb874d7 /pcr
parentbff9fac9f936bc15a217785ca0b32a9797e9677e (diff)
lxdm-consolekit: add new package to [pcr]
Diffstat (limited to 'pcr')
-rw-r--r--pcr/lxdm-consolekit/PKGBUILD68
-rw-r--r--pcr/lxdm-consolekit/Xsession71
-rw-r--r--pcr/lxdm-consolekit/default-config.patch19
-rw-r--r--pcr/lxdm-consolekit/lxdm.install13
-rw-r--r--pcr/lxdm-consolekit/lxdm.pam8
5 files changed, 179 insertions, 0 deletions
diff --git a/pcr/lxdm-consolekit/PKGBUILD b/pcr/lxdm-consolekit/PKGBUILD
new file mode 100644
index 000000000..7ff3ae62f
--- /dev/null
+++ b/pcr/lxdm-consolekit/PKGBUILD
@@ -0,0 +1,68 @@
+# $Id$
+# Contributor (Arch): Balló György <ballogyor+arch at gmail dot com>
+# Contributor (Arch): Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
+# Contributor (Arch): AndyRTR <andyrtr@archlinux.org>
+# Contributor (Arch): kiefer <jorgelmadrid@gmail.com>
+# Maintainer (Arch): Aaditya Bagga <aaditya_gnulinux@zoho.com>
+# Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
+
+pkgname=lxdm-consolekit
+_pkgname=lxdm
+pkgver=0.5.3
+pkgrel=1
+pkgdesc='LXDM with consolekit support enabled'
+arch=('i686' 'x86_64' 'armv7h')
+url="https://sourceforge.net/projects/lxdm/"
+license=('GPL')
+groups=('lxde')
+depends=('gtk2' 'xorg-server' 'consolekit')
+makedepends=('intltool' 'iso-codes')
+optdepends=('gtk-engines: default GTK+ theme'
+ 'iso-codes: show language names in language chooser'
+ 'librsvg: display the default background')
+conflicts=('lxdm')
+provides=('lxdm')
+install=$_pkgname.install
+backup=('etc/lxdm/lxdm.conf' 'etc/pam.d/lxdm' 'etc/lxdm/Xsession'
+ 'etc/lxdm/PreLogin' 'etc/lxdm/LoginReady' 'etc/lxdm/PostLogin'
+ 'etc/lxdm/PostLogout' 'etc/lxdm/PreReboot' 'etc/lxdm/PreShutdown')
+source=(http://downloads.sourceforge.net/lxdm/$_pkgname-$pkgver.tar.xz
+ default-config.patch
+ lxdm.pam
+ Xsession)
+md5sums=('061caae432634e6db38bbdc84bc6ffa0'
+ 'd42d17443e544beee46a9ab47cb24b86'
+ '06f54c141668495b1e600dc56d3cec1a'
+ '6ceea02bf33f6d122365f83435f976ab')
+
+prepare(){
+ cd "$srcdir/$_pkgname-$pkgver"
+
+ # Adjust Arch-specific settings
+ patch -Np1 -i ../default-config.patch
+
+ # Use our custom pam and Xsession files
+ cp ../lxdm.pam pam/lxdm
+ cp ../Xsession data/Xsession
+
+ # Support for pulseaudio
+ echo 'test -x /usr/bin/pax11publish && /usr/bin/pax11publish -r' >> data/PostLogout.in
+}
+
+build() {
+ cd "$srcdir/$_pkgname-$pkgver"
+ ./configure --prefix=/usr --sbindir=/usr/bin --libexecdir=/usr/lib/lxdm \
+ --sysconfdir=/etc --localstatedir=/var
+ make
+}
+
+package() {
+ cd "$srcdir/$_pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install
+ chmod 644 "$pkgdir/etc/lxdm/lxdm.conf"
+
+ # Home directory
+ install -dm 755 "$pkgdir/var/lib/lxdm"
+ echo 'GDK_CORE_DEVICE_EVENTS=true' > "$pkgdir"/var/lib/lxdm/.pam_environment
+ chown -R 121:121 "$pkgdir/var/lib/lxdm"
+}
diff --git a/pcr/lxdm-consolekit/Xsession b/pcr/lxdm-consolekit/Xsession
new file mode 100644
index 000000000..deba98d72
--- /dev/null
+++ b/pcr/lxdm-consolekit/Xsession
@@ -0,0 +1,71 @@
+#!/bin/sh
+#
+# LXDM wrapper to run around X sessions.
+
+echo "Running X session wrapper"
+
+if [ $# -eq 1 -a -n "$1" ]; then
+ LXSESSION=$1
+else
+# default session
+ LXSESSION=/usr/bin/startlxde
+fi
+
+# Load profile
+for file in "/etc/profile" "$HOME/.profile" "/etc/xprofile" "$HOME/.xprofile"; do
+ if [ -f "$file" ]; then
+ echo "Loading profile from $file";
+ . "$file"
+ fi
+done
+
+# Load resources
+for file in "/etc/X11/Xresources" "$HOME/.Xresources"; do
+ if [ -f "$file" ]; then
+ echo "Loading resource: $file"
+ xrdb -nocpp -merge "$file"
+ fi
+done
+
+# Load keymaps
+for file in "/etc/X11/Xkbmap" "$HOME/.Xkbmap"; do
+ if [ -f "$file" ]; then
+ echo "Loading keymap: $file"
+ setxkbmap `cat "$file"`
+ XKB_IN_USE=yes
+ fi
+done
+
+# Load xmodmap if not using XKB
+if [ -z "$XKB_IN_USE" ]; then
+ for file in "/etc/X11/Xmodmap" "$HOME/.Xmodmap"; do
+ if [ -f "$file" ]; then
+ echo "Loading modmap: $file"
+ xmodmap "$file"
+ fi
+ done
+fi
+
+unset XKB_IN_USE
+
+# Run all system xinitrc shell scripts.
+xinitdir="/etc/X11/xinit/xinitrc.d"
+if [ -d "$xinitdir" ]; then
+ for script in $xinitdir/*; do
+ echo "Loading xinit script $script"
+ if [ -x "$script" -a ! -d "$script" ]; then
+ . "$script"
+ fi
+ done
+fi
+
+echo "X session wrapper complete, running session $LXSESSION"
+
+if ! [ -z "$XDG_SESSION_COOKIE" ]; then
+ CK_XINIT_SESSION=
+elif [ -x /usr/bin/ck-launch-session ]; then
+ CK_XINIT_SESSION="/usr/bin/ck-launch-session"
+fi
+
+exec -l $SHELL -c "$CK_XINIT_SESSION \"$LXSESSION\""
+
diff --git a/pcr/lxdm-consolekit/default-config.patch b/pcr/lxdm-consolekit/default-config.patch
new file mode 100644
index 000000000..9aad1d786
--- /dev/null
+++ b/pcr/lxdm-consolekit/default-config.patch
@@ -0,0 +1,19 @@
+diff -Naur lxdm.orig/data/lxdm.conf.in lxdm/data/lxdm.conf.in
+--- lxdm.orig/data/lxdm.conf.in 2013-08-30 17:56:16.097006000 +0200
++++ lxdm/data/lxdm.conf.in 2013-09-04 01:54:12.942117085 +0200
+@@ -34,13 +34,13 @@
+ gtk_theme=Clearlooks
+
+ ## background of the greeter
+-bg=/usr/share/backgrounds/default.png
++# bg=/usr/share/backgrounds/default.png
+
+ ## if show bottom pane
+ bottom_pane=1
+
+ ## if show language select control
+-lang=1
++lang=0
+
+ ## if show keyboard layout select control
+ keyboard=0
diff --git a/pcr/lxdm-consolekit/lxdm.install b/pcr/lxdm-consolekit/lxdm.install
new file mode 100644
index 000000000..2a212a573
--- /dev/null
+++ b/pcr/lxdm-consolekit/lxdm.install
@@ -0,0 +1,13 @@
+post_install() {
+ getent group lxdm > /dev/null 2>&1 && \
+ groupmod -g 121 lxdm > /dev/null 2>&1 || \
+ groupadd -g 121 lxdm
+ getent passwd lxdm > /dev/null 2>&1 && \
+ usermod -c 'Lightweight X11 Display Manager' -u 121 -g 121 -d /var/lib/lxdm -s /sbin/nologin lxdm > /dev/null 2>&1 || \
+ useradd -c 'Lightweight X11 Display Manager' -u 121 -g 121 -d /var/lib/lxdm -s /sbin/nologin lxdm
+ passwd -l lxdm > /dev/null
+}
+
+post_upgrade() {
+ post_install
+}
diff --git a/pcr/lxdm-consolekit/lxdm.pam b/pcr/lxdm-consolekit/lxdm.pam
new file mode 100644
index 000000000..39c77d131
--- /dev/null
+++ b/pcr/lxdm-consolekit/lxdm.pam
@@ -0,0 +1,8 @@
+#%PAM-1.0
+auth include system-login
+-auth optional pam_gnome_keyring.so
+account include system-login
+password include system-login
+session include system-login
+-session optional pam_gnome_keyring.so auto_start
+-session optional pam_ck_connector.so nox11